org.wildfly.swarm.config.webservices

## Class ClientConfig<T extends ClientConfig<T>>

- java.lang.Object
- - org.wildfly.swarm.config.webservices.ClientConfig<T>

-     public class ClientConfig<T extends ClientConfig<T>>
      extends Object

  Webservice client configuration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientConfig.ClientConfigResources` Child mutators for ClientConfig

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientConfig(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `postHandlerChain(PostHandlerChain value)` Add the PostHandlerChain object to the list of subresources
    `T` | `postHandlerChain(PostHandlerChainSupplier supplier)` Install a supplied PostHandlerChain object to the list of subresources
    `T` | `postHandlerChain(String childKey)` Create and configure a PostHandlerChain object to the list of subresources
    `T` | `postHandlerChain(String childKey, PostHandlerChainConsumer consumer)` Create and configure a PostHandlerChain object to the list of subresources
    `T` | `postHandlerChains(List<PostHandlerChain> value)` Add all PostHandlerChain objects to this subresource
    `T` | `preHandlerChain(PreHandlerChain value)` Add the PreHandlerChain object to the list of subresources
    `T` | `preHandlerChain(PreHandlerChainSupplier supplier)` Install a supplied PreHandlerChain object to the list of subresources
    `T` | `preHandlerChain(String childKey)` Create and configure a PreHandlerChain object to the list of subresources
    `T` | `preHandlerChain(String childKey, PreHandlerChainConsumer consumer)` Create and configure a PreHandlerChain object to the list of subresources
    `T` | `preHandlerChains(List<PreHandlerChain> value)` Add all PreHandlerChain objects to this subresource
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClientConfig.ClientConfigResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConfig

          public ClientConfig(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClientConfig.ClientConfigResources subresources()

    - #### postHandlerChains

          public T postHandlerChains(List<PostHandlerChain> value)

      Add all PostHandlerChain objects to this subresource
      Parameters:
        `value` - List of PostHandlerChain objects.
      Returns:
        this

    - #### postHandlerChain

          public T postHandlerChain(PostHandlerChain value)

      Add the PostHandlerChain object to the list of subresources
      Parameters:
        `value` - The PostHandlerChain to add
      Returns:
        this

    - #### postHandlerChain

          public T postHandlerChain(String childKey,
                                    PostHandlerChainConsumer consumer)

      Create and configure a PostHandlerChain object to the list of subresources
      Parameters:
        `key` - The key for the PostHandlerChain resource
        `config` - The PostHandlerChainConsumer to use
      Returns:
        this

    - #### postHandlerChain

          public T postHandlerChain(String childKey)

      Create and configure a PostHandlerChain object to the list of subresources
      Parameters:
        `key` - The key for the PostHandlerChain resource
      Returns:
        this

    - #### postHandlerChain

          public T postHandlerChain(PostHandlerChainSupplier supplier)

      Install a supplied PostHandlerChain object to the list of subresources

    - #### preHandlerChains

          public T preHandlerChains(List<PreHandlerChain> value)

      Add all PreHandlerChain objects to this subresource
      Parameters:
        `value` - List of PreHandlerChain objects.
      Returns:
        this

    - #### preHandlerChain

          public T preHandlerChain(PreHandlerChain value)

      Add the PreHandlerChain object to the list of subresources
      Parameters:
        `value` - The PreHandlerChain to add
      Returns:
        this

    - #### preHandlerChain

          public T preHandlerChain(String childKey,
                                   PreHandlerChainConsumer consumer)

      Create and configure a PreHandlerChain object to the list of subresources
      Parameters:
        `key` - The key for the PreHandlerChain resource
        `config` - The PreHandlerChainConsumer to use
      Returns:
        this

    - #### preHandlerChain

          public T preHandlerChain(String childKey)

      Create and configure a PreHandlerChain object to the list of subresources
      Parameters:
        `key` - The key for the PreHandlerChain resource
      Returns:
        this

    - #### preHandlerChain

          public T preHandlerChain(PreHandlerChainSupplier supplier)

      Install a supplied PreHandlerChain object to the list of subresources

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.